
<%


' Connection states

Const asPROTOCOL_RAW			  = 1   
Const asPROTOCOL_TELNET	          	  = 2 


' Connection states

Const asCONN_DISCONNECTED		  = 1   
Const asCONN_LISTENING		          = 2 
Const asCONN_CONNECTED		          = 3


' Error codes 

Const asERR_WSASUCCESS			  = 0   ' Success
Const asERR_WSAINVALIDPARAMETER	          = 1   ' Invalid parameter
Const asERR_WSACREATETHREADFAILED	  = 2   ' Unable to create thread
Const asERR_WSAEVALUATIONEXPIRED	  = 3   ' Evaluation period has expired
Const asERR_WSAINVALIDLICENSE	          = 4   ' License was entered, but invalid

Const asERR_WSAEINTR                  = 10004   ' A blocking operation was interrupted by a call to WSACancelBlockingCall. 
Const asERR_WSAEBADF                  = 10009   ' The file handle supplied is not valid.
Const asERR_WSAEACCES                 = 10013   ' An attempt was made to access a socket in a way forbidden by its access permissions. 
Const asERR_WSAEFAULT                 = 10014   ' The system detected an invalid pointer address in attempting to use a pointer argument in a call.   
Const asERR_WSAEINVAL                 = 10022   ' An invalid argument was supplied. 
Const asERR_WSAEMFILE                 = 10024   ' Too many open sockets.
Const asERR_WSAEWOULDBLOCK            = 10035   ' A non-blocking socket operation could not be completed immediately.   
Const asERR_WSAEINPROGRESS            = 10036   ' A blocking operation is currently executing.  
Const asERR_WSAEALREADY               = 10037   ' An operation was attempted on a non-blocking socket that already had an operation in progress. 
Const asERR_WSAENOTSOCK               = 10038   ' An operation was attempted on something that is not a socket.   
Const asERR_WSAEDESTADDRREQ           = 10039   ' A required address was omitted from an operation on a socket.
Const asERR_WSAEMSGSIZE               = 10040   ' A message sent on a datagram socket was larger than the internal message buffer or some other network limit, or the buffer used to receive a datagram into was smaller than the datagram itself. 
Const asERR_WSAEPROTOTYPE             = 10041   ' A protocol was specified in the socket function call that does not support the semantics of the socket type requested. 
Const asERR_WSAENOPROTOOPT            = 10042   ' An unknown, invalid, or unsupported option or level was specified in a getsockopt or setsockopt call. 
Const asERR_WSAEPROTONOSUPPORT        = 10043   ' The requested protocol has not been configured into the system, or no implementation for it exists.
Const asERR_WSAESOCKTNOSUPPORT        = 10044   ' The support for the specified socket type does not exist in this address family.  
Const asERR_WSAEOPNOTSUPP             = 10045   ' The attempted operation is not supported for the type of object referenced.
Const asERR_WSAEPFNOSUPPORT           = 10046   ' The protocol family has not been configured into the system or no implementation for it exists.
Const asERR_WSAEAFNOSUPPORT           = 10047   ' An address incompatible with the requested protocol was used.
Const asERR_WSAEADDRINUSE             = 10048   ' Only one usage of each socket address (protocol/network address/port) is normally permitted.
Const asERR_WSAEADDRNOTAVAIL          = 10049   ' The requested address is not valid in its context.
Const asERR_WSAENETDOWN               = 10050   ' A socket operation encountered a dead network.
Const asERR_WSAENETUNREACH            = 10051   ' A socket operation was attempted to an unreachable network.
Const asERR_WSAENETRESET              = 10052   ' The connection has been broken due to keep-alive activity detecting a failure while the operation was in progress.
Const asERR_WSAECONNABORTED           = 10053   ' An established connection was aborted by the software in your host machine.
Const asERR_WSAECONNRESET             = 10054   ' An existing connection was forcibly closed by the remote host.
Const asERR_WSAENOBUFS                = 10055   ' An operation on a socket could not be performed because the system lacked sufficient buffer space or because a queue was full.
Const asERR_WSAEISCONN                = 10056   ' A connect request was made on an already connected socket.
Const asERR_WSAENOTCONN               = 10057   ' A request to send or receive data was disallowed because the socket is not connected and (when sending on a datagram socket using a sendto call) no address was supplied.
Const asERR_WSAESHUTDOWN              = 10058   ' A request to send or receive data was disallowed because the socket had already been shut down in that direction with a previous shutdown call.
Const asERR_WSAETOOMANYREFS           = 10059   ' Too many references to some kernel object.
Const asERR_WSAETIMEDOUT              = 10060   ' A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond.
Const asERR_WSAECONNREFUSED           = 10061   ' No connection could be made because the target machine actively refused it.
Const asERR_WSAELOOP                  = 10062   ' Cannot translate name.
Const asERR_WSAENAMETOOLONG           = 10063   ' Name component or name was too long.
Const asERR_WSAEHOSTDOWN              = 10064   ' A socket operation failed because the destination host was down.
Const asERR_WSAEHOSTUNREACH           = 10065   ' A socket operation was attempted to an unreachable host.
Const asERR_WSAENOTEMPTY              = 10066   ' Cannot remove a directory that is not empty.
Const asERR_WSAEPROCLIM               = 10067   ' A Windows Sockets implementation may have a limit on the number of applications that may use it simultaneously.
Const asERR_WSAEUSERS                 = 10068   ' Ran out of quota.
Const asERR_WSAEDQUOT                 = 10069   ' Ran out of disk quota.
Const asERR_WSAESTALE                 = 10070   ' File handle reference is no longer available.
Const asERR_WSAEREMOTE                = 10071   ' Item is not available locally.
Const asERR_WSASYSNOTREADY            = 10091   ' WSAStartup cannot function at this time because the underlying system it uses to provide network services is currently unavailable.
Const asERR_WSAVERNOTSUPPORTED        = 10092   ' The Windows Sockets version requested is not supported.
Const asERR_WSANOTINITIALISED         = 10093   ' Either the application has not called asERR_WSAStartup, or WSAStartup failed.
Const asERR_WSAEDISCON                = 10101   ' Returned by WSARecv or WSARecvFrom to indicate the remote party has initiated a graceful shutdown sequence.
Const asERR_WSAENOMORE                = 10102   ' No more results can be returned by WSALookupServiceNext.
Const asERR_WSAECANCELLED             = 10103   ' A call to WSALookupServiceEnd was made while this call was still processing. The call has been canceled.
Const asERR_WSAEINVALIDPROCTABLE      = 10104   ' The procedure call table is invalid.
Const asERR_WSAEINVALIDPROVIDER       = 10105   ' The requested service provider is invalid.
Const asERR_WSAEPROVIDERFAILEDINIT    = 10106   ' The requested service provider could not be loaded or initialized.  
Const asERR_WSASYSCALLFAILURE         = 10107   ' A system call that should never fail has failed.
Const asERR_WSASERVICE_NOT_FOUND      = 10108   ' No such service is known. The service cannot be found in the specified name space.
Const asERR_WSATYPE_NOT_FOUND         = 10109   ' The specified class was not found.
Const asERR_WSA_E_NO_MORE             = 10110   ' No more results can be returned by WSALookupServiceNext.
Const asERR_WSA_E_CANCELLED           = 10111   ' A call to WSALookupServiceEnd was made while this call was still processing. The call has been canceled.
Const asERR_WSAEREFUSED               = 10112   ' A database query failed because it was actively refused.
Const asERR_WSAHOST_NOT_FOUND         = 11001   ' No such host is known.
Const asERR_WSATRY_AGAIN              = 11002   ' This is usually a temporary error during hostname resolution and means that the local server did not receive a response from an authoritative server.
Const asERR_WSANO_RECOVERY            = 11003   ' A non-recoverable error occurred during a database lookup.
Const asERR_WSANO_DATA                = 11004   ' The requested name is valid and was found in the database, but it does not have the correct associated data being resolved for. 
Const asERR_WSA_QOS_RECEIVERS         = 11005   ' At least one reserve has arrived. 
Const asERR_WSA_QOS_SENDERS           = 11006   ' At least one path has arrived.
Const asERR_WSA_QOS_NO_SENDERS        = 11007   ' There are no senders. 
Const asERR_WSA_QOS_NO_RECEIVERS      = 11008   ' There are no receivers.
Const asERR_WSA_QOS_REQUEST_CONFIRMED = 11009   ' Reserve has been confirmed.
Const asERR_WSA_QOS_ADMISSION_FAILURE = 11010   ' Error due to lack of resources.
Const asERR_WSA_QOS_POLICY_FAILURE    = 11011   ' Rejected for administrative reasons - bad credentials.
Const asERR_WSA_QOS_BAD_STYLE         = 11012   ' Unknown or conflicting style.
Const asERR_WSA_QOS_BAD_OBJECT        = 11013   ' Problem with some part of the filterspec or providerspecific buffer in general.
Const asERR_WSA_QOS_TRAFFIC_CTRL_ERROR= 11014   ' Problem with some part of the flowspec.
Const asERR_WSA_QOS_GENERIC_ERROR     = 11015   ' General QOS error.
Const asERR_WSA_QOS_ESERVICETYPE      = 11016   ' An invalid or unrecognized service type was found in the flowspec.
Const asERR_WSA_QOS_EFLOWSPEC         = 11017   ' An invalid or inconsistent flowspec was found in the QOS structure.
Const asERR_WSA_QOS_EPROVSPECBUF      = 11018   ' Invalid QOS provider-specific buffer. 
Const asERR_WSA_QOS_EFILTERSTYLE      = 11019   ' An invalid QOS filter style was used.
Const asERR_WSA_QOS_EFILTERTYPE       = 11020   ' An invalid QOS filter type was used.
Const asERR_WSA_QOS_EFILTERCOUNT      = 11021   ' An incorrect number of QOS FILTERSPECs were specified in the FLOWDESCRIPTOR.
Const asERR_WSA_QOS_EOBJLENGTH        = 11022   ' An object with an invalid ObjectLength field was specified in the QOS provider-specific buffer.
Const asERR_WSA_QOS_EFLOWCOUNT        = 11023   ' An incorrect number of flow descriptors was specified in the QOS structure.
Const asERR_WSA_QOS_EUNKNOWNPSOBJ     = 11024   ' An unrecognized object was found in the QOS provider-specific buffer.
Const asERR_WSA_QOS_EPOLICYOBJ        = 11025   ' An invalid policy object was found in the QOS provider-specific buffer.
Const asERR_WSA_QOS_EFLOWDESC         = 11026   ' An invalid QOS flow descriptor was found in the flow descriptor list.
Const asERR_WSA_QOS_EPSFLOWSPEC       = 11027   ' An invalid or inconsistent flowspec was found in the QOS provider-specific buffer.
Const asERR_WSA_QOS_EPSFILTERSPEC     = 11028   ' An invalid FILTERSPEC was found in the QOS provider-specific buffer.
Const asERR_WSA_QOS_ESDMODEOBJ        = 11029   ' An invalid shape discard mode object was found in the QOS provider-specific buffer.
Const asERR_WSA_QOS_ESHAPERATEOBJ     = 11030   ' An invalid shaping rate object was found in the QOS provider-specific buffer.
Const asERR_WSA_QOS_RESERVED_PETYPE   = 11031   ' A reserved policy element was found in the QOS provider-specific buffer. 




%>

